/*
{
  "CATEGORIES" : [
    "Geometry Adjustment"
  ],
  "DESCRIPTION" : "zoomer",
  "INPUTS" : [
    {
      "NAME" : "inputImage",
      "TYPE" : "image"
    },
    {
      "NAME" : "level",
      "TYPE" : "float",
      "MAX" : 10,
      "DEFAULT" : 1,
      "MIN" : 0.01,
      "LABEL" : "zoom ammount"
    },
    {
      "NAME" : "res_x",
      "TYPE" : "float",
      "LABEL" : "x"
    },
    {
      "NAME" : "res_y",
      "TYPE" : "float",
      "LABEL" : "y"
    }
  ],
  "ISFVSN" : "2",
  "CREDIT" : "by gllm"
}
*/

void main() {
	vec2		loc;
	vec2		modifiedCenter;
	
	loc = vv_FragNormCoord;
	loc.x = (loc.x - res_x)*(1.0/level) + res_x;
	loc.y = (loc.y - res_y)*(1.0/level) + res_y;
	if ((loc.x < 0.0)||(loc.y < 0.0)||(loc.x > 1.0)||(loc.y > 1.0))	{
		//gl_FragColor = vec4(0.0);
	}
	else	{
		gl_FragColor = IMG_NORM_PIXEL(inputImage,loc);
	}
}
